Package: org.grails.compiler.injection

## [Java] Class NamedArtefactTypeAstTransformation

- org.grails.compiler.injection.NamedArtefactTypeAstTransformation

-     @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class NamedArtefactTypeAstTransformation
      extends AbstractArtefactTypeAstTransformation

  An AST transform used to apply a named artefact type

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `artefactType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NamedArtefactTypeAstTransformation (java.lang.String artefactType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractArtefactTypeAstTransformation` | `performInjectionOnArtefactType`

- - ### Field Detail

    - #### java.lang.String artefactType

  - ### Constructor Detail

    - #### public NamedArtefactTypeAstTransformation(java.lang.String artefactType)

  - ### Method Detail

    - #### public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)